haredo bin/treecat || true

OUT=test/treecat
MID=test/tmp
for args in "" "-f"
do
	for IN in test/*
	do
		printf "$IN $args..."
		if ! bin/treecat -r $IN $MID
		then
			echo "FAIL"
			rm -rf $MID
			exit 1
		elif ! bin/treecat $MID > $OUT
		then
			echo "FAIL"
			rm -rf $MID
			rm -f $OUT
			exit 1
		elif diff $IN $OUT
		then
			echo "ok"
			rm -rf $MID
			rm -f $OUT
		else
			echo "FAIL"
			rm -rf $MID
			rm -f $OUT
			exit 1
		fi
	done
done
